% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vis-cor.R
\name{gather_cor}
\alias{gather_cor}
\title{(Internal) create a tidy dataframe of correlations suitable for plotting}
\usage{
gather_cor(data, cor_method = "pearson",
  na_action = "pairwise.complete.obs")
}
\arguments{
\item{data}{data.frame}

\item{cor_method}{correlation method to use, from \code{cor}: "a character
string indicating which correlation coefficient (or covariance) is to be
computed. One of "pearson" (default), "kendall", or "spearman": can be
abbreviated."}

\item{na_action}{The method for computing covariances when there are missing
values present. This can be "everything", "all.obs", "complete.obs",
"na.or.complete", or "pairwise.complete.obs" (default). This option is
taken from the \code{cor} function argument \code{use}.}
}
\value{
tidy dataframe of correlations
}
\description{
(Internal) create a tidy dataframe of correlations suitable for plotting
}
\examples{
gather_cor(airquality)

}
